%define	fname	tuxtype_w_fonts

Summary:	Educational typing tutor game starring Tux
Name:		tuxtype
Version:	1.5.17
%define subrel	2
Release:	%{mkrel 1}
# have to change with each new release as the number after download.php changes :(
Source0:	http://alioth.debian.org/frs/download.php/2370/%{fname}-%{version}.tar.gz
Patch0:		tuxtype-1.5.17-datadir.patch
URL:		http://alioth.debian.org/frs/?group_id=31080
License:	GPLv2+
Group:		Games/Other
BuildRequires:	SDL-devel SDL_ttf-devel SDL_mixer-devel SDL_image-devel SDL_Pango-devel
BuildRequires:	ImageMagick
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	tuxtype2
Obsoletes:	tuxtype2

%description 
Tux Typing is an educational typing tutor game starring Tux, the Linux
penguin. It is graphical and requires SDL to run. This is a stable
release.

%prep
%setup -q -n %{fname}-%{version}
%patch0 -p1 -b .datadir

# Fix incorrect paths hardcoded into the source (#46417) - AdamW
sed -i -e 's,/usr/share/fonts/truetype/ttf-.*/,%{_gamesdatadir}/%{name}/data/fonts/,g' tuxtype/loaders.c
sed -i -e 's,/usr/share,%{_gamesdatadir},g' tuxtype/setup.c

%build
# for datadir.patch
autoreconf -i

%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -fr %{buildroot}%{_prefix}/doc/tuxtype

install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Name=TuxType
Comment=Educational typing tutor game starring Tux
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;KidsGame;Educational;
EOF

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 16x16 %{name}.ico %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 %{name}.ico %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 %{name}.ico %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%if %mdkversion < 200900
%post
%{update_menus}
%{update_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_icon_cache hicolor}
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README tuxtype/docs/en/howtotheme.html 
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png



%changelog
* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.com> 1.5.17-1.2mdv2009.0
+ Revision: 318537
- adjust font location fix
- add datadir.patch to install all data to specified datadir, previously some
  were installed to hardcoded $prefix/share
- fix paths in the substitutions
- fix some incorrect hardcoded paths (#46417)

* Fri Apr 18 2008 Adam Williamson <awilliamson@mandriva.com> 1.5.17-1mdv2009.0
+ Revision: 195474
- some spec cleanups
- new release 1.5.17

* Sat Apr 12 2008 Funda Wang <fundawang@mandriva.org> 1.5.15-1mdv2009.0
+ Revision: 192601
- New version 1.5.15

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.com> 1.5.12-1mdv2008.0
+ Revision: 80749
- buildrequires SDL_Pango-devel
- drop old menu, X-Mandriva menu category, and icons
- use Fedora license policy
- new release 1.5.12

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu May 24 2007 Adam Williamson <awilliamson@mandriva.com> 1.5.8-1mdv2008.0
+ Revision: 30873
- Import tuxtype

